Skip to content

Viewing Hardware UUID Logs

Devices can be link/activated on one gateway, then unlinked and repurposed on a new gateway. Keeping track of these changes can be useful for debugging and audits of devices and gateways.

To view change logs for the hardware_uuid field (gateway ID) of the nested device object in an hwi-device, you may use a GET request on the following endpoint:

GET https://api2.tenovi.com/clients/{CLIENT_DOMAIN}/hwi/hardware-uuid-logs/

And the return you can expect follows this schema:

{
"count": 20,
"next": "https://api2.tenovi.com/clients/{CLIENT_DOMAIN}/hwi/hardware-uuid-logs/?page=2",
"previous": null,
"results": [
{
"id": "50b565b9-e343-4142-813d-c8ed1ae0a828",
"created": "2025-11-06T21:53:23.941095Z",
"modified": "2025-11-06T21:53:23.941107Z",
"object_id": "3dc60662-a60e-4771-91cb-db9e69240e8f",
"device_name": null,
"old_hardware_uuid": "7774E46626F7",
"new_hardware_uuid": null,
"changer": "imcfarlan@tenovi.com"
}
// More hardware UUID logs outputted here
]
}
  • object_id: string
  • search: string

The query parameters shown above will allow you to filter by the hwi-device-id (using the object_id parameter) or search by a given hardware_uuid (using the search parameter). This can be useful for customer service or system auditing.

More information on this endpoint can be found in our API Reference.